Bug 1028389 - Can't erase the installed cartridge by oo-admin-cartridge
Can't erase the installed cartridge by oo-admin-cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 05:54 EST by Yan Du
Modified: 2015-05-14 19:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:49:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-11-08 05:54:06 EST
Description of problem:
Can't erase the installed cartridge by oo-admin-cartridge 



Version-Release number of selected component (if applicable):
devenv_4008



How reproducible:
Always



Steps to Reproduce:

1. Install a new cartridge 
  eg: oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/zend

or install the new cartridge to a location other than /var/libexec/openshift/cartridge
  eg:  oo-admin-cartridge -a install -s /root/zend/

2. oo-admin-cartridge -l
(redhat, zend, 5.6, 0.0.6)
(redhat, zend, 5.66, 0.0.7)  <=====this is new installed cartridge

3. Make sure the new installed cartridge is not included in /usr/libexec/openshift/cartridges/zend, then try to erase it.

4. erase the new installed cartridge
oo-admin-cartridge --action erase --name zend --version 5.66 --cartridge_version 0.0.7




Actual results:
Can't erase the cartridge even the cartride is not inclueded in /usr/libexec/openshift/cartridges/zend

[root@ip-10-145-227-222 ~]# oo-admin-cartridge --action erase --name zend --version 5.66 --cartridge_version 0.0.7
Couldn't erase cartridge: (Cannot erase cartridge installed in CARTRIDGE_BASE_PATH)



Expected results:
The new installed cartridge can be erased



Additional info:
Comment 2 Yan Du 2013-11-13 21:57:04 EST
Test on devenv_4030, issue have been fixed.


[root@ip-10-151-107-159 ~]# oo-admin-cartridge --action erase --name zend --version 5.66 --cartridge_version 0.0.7
succeeded

Move to verified.

Note You need to log in before you can comment on or make changes to this bug.